#### D.12.2.3 decimal

Procedure from library `crypto.lib` (see crypto_lib).

Usage:
  decimal(s); s = string

Return:
  the (decimal) number corresponding to the hexadecimal number s

Example:

    LIB "crypto.lib";
    string s  ="8edfe37dae96cfd2466d77d3884d4196";
    decimal(s);
    ==> 189912871665444375716340628395668619670

User manual for Singular version 4.4.1, 2025, generated by texi2html.